from installclass import BaseInstallClass
from translate import *
from installclass import FSEDIT_CLEAR_LINUX
import os
import iutil

class InstallClass(BaseInstallClass):

    name = N_("Oracle RDBMS Server with Apache / PHP")
    pixmap = "server_mini.png"
    sortPriority = 2

    def __init__(self, expert):
	BaseInstallClass.__init__(self)
	self.setGroups(["Server"])
	self.setHostname("localhost.localdomain")
	if not expert:
	    self.addToSkipList("lilo")
	self.addToSkipList("authentication")
	self.setMakeBootdisk(1)

        self.showgroups = [ (1, "X Window System"),
                            (1, "GNOME"),
                            (1, "Mail/WWW/News Tools"),
                            (1, "Networked Workstation"),
                            (1, "Web Server"),
			    (1, "C Compiler"),  
                            (1, "Oracle Utilities"),
                            (0, "Development") ]

	if os.uname ()[4] != 'sparc64':
	    self.addNewPartition('/boot', (48, -1, 0), (None, -1, 0), (0,0))
	self.addNewPartition('/', (2560, -1, 0), (None, -1, 0), (0,0))
	self.addNewPartition('/var', (512, -1, 0), (None, -1, 0), (0,0))
	self.addNewPartition('/home',(512, -1, 1), (None, -1, 0), (0,0))
	self.addNewPartition('/opt',(2048, -1, 1), (None, -1, 0), (0,0))
	self.setClearParts(FSEDIT_CLEAR_LINUX, 
	    warningText = N_("Automatic partitioning will erase any preexisting Linux installations on your system."))

#	self.addNewPartition('swap', (64, 256, 1), (None, -1, 0), (0,0))

        # 2.4 kernel requires more swap, so base amount we try to get
        # on amount of memory
        (minswap, maxswap) = iutil.swapSuggestion()

        minswap=512

        if maxswap < minswap:
            maxswap = minswap

	self.addNewPartition('swap', (minswap, maxswap, 1), (None, -1, 0), (0,0))
